<template>
  <div>
    <component-blog-form :post="post" :title="title" :edit="edit"></component-blog-form>
  </div>
</template>
<script>
import ComponentBlogForm from "../../components/blog/BlogCreateEdit.vue";
export default {
  data() {
    return {
      title: "Edit Blog",
      post: {},
      edit:true,
    };
  },
  components: {
    ComponentBlogForm,
  },
  methods: {
    async fetchSomething(id) {
      let url = "http://localhost:3000/blogs/" + id;
      const response = await this.$axios.$get(url);
      this.post = response;
    },
  },
  mounted() {
    var id = this.$route.params.edit;
    if (id != undefined) {
      this.fetchSomething(id);
    }
  },
};
</script>